Lua_ChaosForestRankRewardWindow = class("Lua_ChaosForestRankRewardWindow", Lua_Window);
function Lua_ChaosForestRankRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosForestRankRewardWindow";
	self.skinName = "ChaosForestRankRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosForestRankRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 620, 690, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -40, 0);
	self.itemList:setListCell(Lua_ChaosForestRankRewardItem, 620, 125, 1);
	self.itemList:setCellSpacing(0, 10);

	local config = DataCenter.chaosForestUtil:getRankRewardConfig();
	self.itemList:setArrayData(config);
end

function Lua_ChaosForestRankRewardWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end























Lua_ChaosForestRankRewardItem = class("Lua_ChaosForestRankRewardItem", Lua_ListCell);
function Lua_ChaosForestRankRewardItem:ctor(p)
	self:superCall("ctor", p, "ChaosForestRankRewardItem_skin");
end

function Lua_ChaosForestRankRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rankNum = Lua_NumberImage.new(self.content);
	self.rankNum:setLocation(-250.5, 0, 0);
	self.rankNum.numAtlas = "number";
	self.rankNum.preStr = "ui_djc_title_0";
	self.rankNum.numOffsetX = -4;
	self.rankNum.numOffsetY = -5;

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(54.5, 0, 0);
	self.scaleVal = 0.9;
end

function Lua_ChaosForestRankRewardItem:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosForestRankRewardItem:setData(data)
	if data == nil then
		return;
	end

	if data.rank_range[1] <= 3 then
		self.rankBg:setAltas("common_altas_3", "ui_djc_window_00"..data.rank_range[1]);
		self.rankNum:setEnable(false);
	else
		self.rankBg:setAltas("common_altas_3", "ui_djc_window_004");
		self.rankNum:setEnable(true);
		self.rankNum.scaleVal = data.scale;
		self.rankNum.rowLimit = data.row_limit;
		self.rankNum.num = data.rank_range[1].."-"..data.rank_range[2];
	end

	self.itemList:setArrayData(data.reward);
end

function Lua_ChaosForestRankRewardItem:onPressClick()
	self.itemList:onBoundClick();
end